package com.friday.tooldriver.mapper.taieoc;

import com.friday.operation.api.keepalive.dto.taieoc.OcGroupFilterDto;
import com.friday.tooldriver.po.taieoc.OcGroupPo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface OcGroupMapper {
    void insert(OcGroupPo po);
    void update(OcGroupPo po);
    void deleteByPrimaryKey(Long id);
    OcGroupPo selectByPrimaryKey(Long id);

    int selectGroupCountByTenant(Long tenantId);

    List<OcGroupPo> selectGroup(OcGroupFilterDto filterDto);

    OcGroupPo selectProcessGroup(@Param("processName") String processName, @Param("ocTenantId") Long ocTenantId);
}
